import { aws_ec2 as ec2 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Direction of Resolver
 */
export declare enum ResolverDirection {
    INBOUND = "inbound",
    OUTBOUND = "outbound"
}
/**
 * Properties to for creating inbound resolvers.
 */
export interface R53ResolverendpointsProps {
    /**
       * the vpc that the resolvers will be placed in
       */
    readonly vpc: ec2.Vpc;
    /**
       * the subnetgroup to place the resolvers in
       */
    readonly subnetGroup: string;
    /**
       * An array of Internal domains that can be centrally resolved in this VPC
       */
    readonly resolveDomains: string[];
    /**
       * Value for Sharing.
       */
    readonly tagValue: string;
}
/**
 * Create Route53 Resolver Endpoints for MultiVPC and Hybrid DNS Resolution.
 */
export declare class R53Resolverendpoints extends constructs.Construct {
    /**
       *
       * @param scope the scope in which these resources are craeted
       * @param id the id of the construct
       * @param props propertys for the R53Resolver Endpoints
       */
    constructor(scope: constructs.Construct, id: string, props: R53ResolverendpointsProps);
}
